package rs.core.example.ui;

import rs.core.example.R;
import rs.core.hw.DeviceData;
import rs.core.hw.NfcTag;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

public class NfcReceiver extends DataReceiver {
	private NfcTag TAG;
	
	
	public static NfcReceiver newInstance() {
		NfcReceiver result = new NfcReceiver();
		result.device = "NFC";
		return result;
	}
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		return inflater.inflate(R.layout.nfc, container,false);
	}
	@Override
	public void onViewCreated(View view, Bundle savedInstanceState) {
		super.onViewCreated(view, savedInstanceState);
	}
	@Override
	protected void onReceivedData(DeviceData data) {
		TAG = (NfcTag)data;
		dataText.setText(TAG.DATA.split(";")[1]);
		
	}
}
